import Cookies from 'js-cookie'

const TokenKey = 'Admin-Token'

// 获取token
export function getToken() {
  return Cookies.get(TokenKey)
}

// 设置token
export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

// 移除token
export function removeToken() {
  return Cookies.remove(TokenKey)
}

// 设置用户信息
export function setUser(userInfo) {
  return Cookies.set('userInfo', userInfo)
}

// 获取用户信息
export function getUser() {
  return Cookies.get('userInfo')
}

// 移除用户信息
export function removeUser() {
  return Cookies.remove('userInfo')
}

// 用户是否登录
export function hasLogin() {
  return getToken() && getUser()
}

// 跳转页面判定
export function initGoPage() {
  const isAdmin = JSON.parse(getUser()).userIdentity === 1
  return isAdmin ? '/supplier/list' : '/auth/list'
}
